【活用ガイド】

JVNDB-2008-001098

Apache Tomcat における SSL リクエストに関する脆弱性

概要

Apache Tomcat には、native ARP コネクタを使用している場合、SSL ポートに対する空のリクエストの処理に不備があり、最近のリクエストを複製して処理を行う脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

CVSS v2 による深刻度
基本値: 4.3 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし
影響を受けるシステム


Apache Software Foundation
  • Apache Tomcat 5.5.11 から 5.5.25 のバージョン
  • Apache Tomcat 6.0.0 から 6.0.15 のバージョン
VMware
  • VMware ESX 4.0
  • VMware ESX 3.5
  • VMware ESX 3.0.3
  • VMware Server 2.x
  • VMware vCenter 4.0
  • VMware VirtualCenter 2.5
  • VMware VirtualCenter 2.0.2
アップル
  • Apple Mac OS X Server v10.5.5
ヒューレット・パッカード
  • HP XP P9000 Performance Advisor ソフトウェア 5.4.1 未満

想定される影響

第三者により、不正な SSL リクエストを送信されることで、意図しない挙動を示し、更なる攻撃に利用される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Apache Software Foundation VMware アップル
  • Apple Security Updates : HT3216
  • Apple セキュリティアップデート : HT3216
オラクル ヒューレット・パッカード
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 設計上の問題(CWE-DesignError) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2007-6286
参考情報

  1. National Vulnerability Database (NVD) : CVE-2007-6286
  2. Secunia Advisory : SA28878
  3. FrSIRT Advisories : FrSIRT/ADV-2008-0488
更新履歴

  • [2008年02月27日]
      掲載
    [2008年11月04日]
      影響を受けるシステム:アップル(HT3216)の情報を追加
      ベンダ情報:アップル(HT3216)を追加
    [2010年01月05日]
      影響を受けるシステム:VMware (VMSA-2009-0016) の情報を追加
      ベンダ情報:VMware (VMSA-2009-0016) を追加
    [2012年09月24日]
      ベンダ情報:オラクル (Multiple vulnerabilities in Oracle Java Web Console) を追加
    [2015年03月05日]
      影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
      ベンダ情報:ヒューレット・パッカード (HPSBST02955 SSRT101157) を追加
      ベンダ情報:VMware (VMSA-2008-0010.3) を追加